Method: projects.locations.privateOffers.documents.patch

Updates the target PrivateOfferDocument.

HTTP request

PATCH https://commerceproducer.googleapis.com/v1beta/{privateOfferDocument.name=projects/*/locations/*/privateOffers/*/documents/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
privateOfferDocument.name

string

Identifier. Name of the resource.

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. The list of fields to update. The fields specified in the updateMask are relative to the resource, not the full request. A field will be overwritten if it is in the mask. The special value "*" means full replacement. If unspecified, all fields present in the request will be overwritten.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of PrivateOfferDocument.

Response body

If successful, the response body contains an instance of PrivateOfferDocument.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • commerceproducer.privateOfferDocuments.update

For more information, see the IAM documentation.